Bug 1654710 - RE-enable ECC in perl-CryptX
Summary: RE-enable ECC in perl-CryptX
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CryptX
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1654664 1654667
TreeView+ depends on / blocked
 
Reported: 2018-11-29 13:40 UTC by Xavier Bachelot
Modified: 2018-11-29 15:05 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-29 15:05:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Xavier Bachelot 2018-11-29 13:40:05 UTC
Description of problem:
perl-CryptX doesn't provide perl(Crypt::PK::ECC).
This was disabled in order to unbundle libtomcrypt.

Version-Release number of selected component (if applicable):
0.053-5.fc29

How reproducible:
Always

Additional info:
I haven't investigated if changes to system libtomcrypt are still needed in order to enable ECC.

Comment 1 Petr Pisar 2018-11-29 15:05:03 UTC
Unfortunately nothing has changed in this matter. Fedora's libtomcrypt does not support ECC because latest upstream's release (1.18.2) does not support ECC.

However, something has changed. libtomcrypt upstream merged the ECC support into "develop" branch in May 2018. That means that a next major release could support ECC.


Note You need to log in before you can comment on or make changes to this bug.